package com.bocloud.nms.model.veeam.job;

public class ActiveFullSettingsModel {

    private boolean isEnabled;
    private SyntheticFullSettingsModel weekly;
    private AdvancedStorageScheduleMonthlyModel monthly;

    public boolean  getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(boolean enabled) {
        isEnabled = enabled;
    }

    public SyntheticFullSettingsModel getWeekly() {
        return weekly;
    }

    public void setWeekly(SyntheticFullSettingsModel weekly) {
        this.weekly = weekly;
    }

    public AdvancedStorageScheduleMonthlyModel getMonthly() {
        return monthly;
    }

    public void setMonthly(AdvancedStorageScheduleMonthlyModel monthly) {
        this.monthly = monthly;
    }

    @Override public String toString() {
        return "ActiveFullSettingsModel{" + "isEnabled=" + isEnabled + ", weekly=" + weekly + ", monthly=" + monthly
            + '}';
    }
}